## org.apache.ivy.util
Class Checks

    java.lang.Object
      org.apache.ivy.util.Checks

    public final class Checks

extends java.lang.Object

Utility class used to perform some checks.

Method Summary
`static java.io.File` `checkAbsolute(java.io.File f, java.lang.String fileName)`
`static java.io.File` `checkAbsolute(java.lang.String path, java.lang.String fileName)`
`static void` `checkNotNull(java.lang.Object o, java.lang.String objectName)` Checks that an object is not null, and throw an exception if the object is null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkNotNull

    public static void checkNotNull(java.lang.Object o,
                                    java.lang.String objectName)

  Checks that an object is not null, and throw an exception if the object is null.

  Parameters:
    `o` - the object to check
    `objectName` - the name of the object to check. This name will be used in the exception message.
  Throws:
    `java.lang.IllegalArgumentException` - if the object is null

### checkAbsolute

    public static java.io.File checkAbsolute(java.io.File f,
                                             java.lang.String fileName)

### checkAbsolute

    public static java.io.File checkAbsolute(java.lang.String path,
                                             java.lang.String fileName)